<?php
class isender{

	var $Hosts = "";
	
	/*======================================================================*\
	Function:	__construct
	Descriiption: Конструктор класса
	\*======================================================================*/
	function __construct(){
	
		$this->Hosts = str_replace("www.","",$_SERVER['HTTP_HOST']);
	
	}
	
	/*======================================================================*\
	Function:	SendRegKey
	Descriiption: Отправляет регистрационный ключ
	\*======================================================================*/
	function SendRegKey($email, $key){
	
		$text = "На ваш Email была запрошена ссылка для регистрации в игре \"".$this->Hosts."\"<BR />";
		$text.= "Если вы не запрашивали ссылку, просто проигнорируйте это сообщение. <BR /><BR />";
		$text.= "Ссылка для регистрации: <a href='http://".$this->Hosts."/signup/key/{$key}'>";
		$text.= "http://".$this->Hosts."/signup/key/{$key}</a>";
		$subject = "Регистрация в игре \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	/*======================================================================*\
	Function:	SendReсKey
	Descriiption: Отправляет ключ смены пароля
	\*======================================================================*/
	function SendRecKey($email, $key){
	
		$text = "На ваш Email была запрошена ссылка для восстановления пароля в игре \"".$this->Hosts."\"<BR />";
		$text.= "Если вы не запрашивали ссылку, просто проигнорируйте это сообщение. <BR /><BR />";
		$text.= "Ссылка для восстановления: <a href='http://".$this->Hosts."/recovery/key/{$key}'>";
		$text.= "http://".$this->Hosts."/recovery/key/{$key}</a>";
		$subject = "Восстановление пароля в игре \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	/*======================================================================*\
	Function:	RecoveryPassword
	Descriiption: Восстановление пароля
	\*======================================================================*/
	function RecoveryPassword($user, $pass, $email){
	
		$text = "Уважаемый, {$user}! <BR />";
		$text.= "Ваш пароль в игре <a href='http://".$this->Hosts."/'>".$this->Hosts."</a> был изменен<BR />";
		$text.= "<b>Ваш новый Пароль:</b> {$pass}<BR />";
		$subject = "Пароль изменен! - \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	SendAfterReg
	Descriiption: Отправляет данные после регистрации
	\*======================================================================*/
	function SendAfterReg($user, $pass, $email){
	
		$text = "Благодарим вас за регистрацию в игре \"".$this->Hosts."\"<BR />";
		$text.= "Ваши данные для входа в личный кабинет пользователя: <BR />";
		$text.= "<b>Логин:</b> {$user}<BR />";
		$text.= "<b>Пароль:</b> {$pass}<BR />";
		$text.= "Ссылка для входа в кабинет: <a href='http://".$this->Hosts."/'>http://".$this->Hosts."/</a>";
		$subject = "Завершение регистрации в системе \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	SetNewPassword
	Descriiption: Отправляет данные после смены пароля
	\*======================================================================*/
	function SetNewPassword($user, $pass, $email){
	
		$text = "В настройках вашего аккаунта был изменен пароль<BR />";
		$text.= "Ваши новые данные для входа в личный кабинет пользователя: <BR />";
		$text.= "<b>Логин:</b> {$user}<BR />";
		$text.= "<b>Новый пароль:</b> {$pass}<BR />";
		$text.= "Ссылка для входа в кабинет: <a href='http://".$this->Hosts."/'>http://".$this->Hosts."/</a>";
		$subject = "Смена пароля в системе \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	ReferalPlus
	Descriiption: Оповещение реферера о регистрации реферала
	\*======================================================================*/
	function ReferalPlus($email, $user){
	
		$text = "Приветствую <b>{$user}</b>!<BR />";
		$text.= "У Вас появился новый реферал. <BR />";
		$text.= "С Уважением<BR />";
		$text.= "Команда <a href='http://".$this->Hosts."/'>".$this->Hosts."</a>";
		$subject = "Новый реферал на \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	InsertMoney
	Descriiption: Оповещение реферера о пополнении рефералом баоанса
	\*======================================================================*/
	function InsertMoney($email, $user){
	
		$text = "Приветствую <b>{$user}</b>!<BR />";
		$text.= "Ваш реферал пополнил баланс. <BR />";
		$text.= "С Уважением<BR />";
		$text.= "Команда <a href='http://".$this->Hosts."/'>".$this->Hosts."</a>";
		$subject = "Ваш реферал пополнил баланс \"".$this->Hosts."\"";
		
		return $this->SendMail($email, $subject, $text);
		
	}
	
	/*======================================================================*\
	Function:	Headers
	Descriiption: Создание заголовков письма
	\*======================================================================*/
	function Headers(){
	
	$headers = "MIME-Version: 1.0\r\n";
	$headers.= "Content-type: text/html; charset=UTF-8\r\n";
	$headers.= "Date: ".date("m.d.Y H:i:s")."\r\n";
	$headers.= "From: GOLD-MINER <support@".$this->Hosts."> \r\n";
	
		return $headers;
	
	}
	
	/*======================================================================*\
	Function:	SendMail
	Descriiption: Отправитель
	\*======================================================================*/
	function SendMail($email, $subject, $text){
	
		$text .= "<BR />----------------------------------------------------
		<BR />Сообщение было выслано роботом, пожалуйста, не отвечайте на него!";
		return (mail($email, $subject, $text, $this->Headers())) ? true : false;	
	}
}
?>